import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { Box } from "../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.mjs";
const IconYAxis = (props, ref) => {
  return /* @__PURE__ */ jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsx(
        "path",
        {
          d: "M8.00008 14L8.00008 2M6.66675 2L9.33341 2M6.66675 14L9.33341 14",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = forwardRef(IconYAxis);
const YAxis = forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsx(
    Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "YAxis", props.className].join(" ")
    }
  );
});
YAxis.displayName = "IconYAxis";
export {
  YAxis as default
};
